from parallels.core.global_context import GlobalMigrationContext


class SHCMMoveWebspacesGlobalMigrationContext(GlobalMigrationContext):
	def __init__(self):
		super(SHCMMoveWebspacesGlobalMigrationContext, self).__init__()

		self.webspace_name = None
		self.webspace_ipv4 = None
		self.webspace_ipv4_type = None
		self.webspace_ipv6 = None
		self.webspace_ipv6_type = None
		self.webspace_src_ctx = None
		self.webspace_dst_ctx = None
